#!/bin/bash
# RELEASE var is defined in build.sh script

set -ouex pipefail

# Enabling custom repository
rpm-ostree install https://mirrors.rpmfusion.org/free/fedora/rpmfusion-free-release-$RELEASE.noarch.rpm \
    https://mirrors.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$RELEASE.noarch.rpm

# See https://rpmfusion.org/Howto/NVIDIA#OSTree_.28Silverblue.2FKinoite.2Fetc.29
curl -o /etc/yum.repos.d/kwizart-nvidia-driver-rawhide-fedora.repo https://copr.fedorainfracloud.org/coprs/kwizart/nvidia-driver-rawhide/repo/fedora-$RELEASE/kwizart-nvidia-driver-rawhide-fedora-$RELEASE.repo

rpm-ostree install akmod-nvidia-default-open akmod-nvidia xorg-x11-drv-nvidia-cuda libva-nvidia-driver \
    nvidia-vaapi-driver libva-utils vdpauinfo

cp /tmp/scripts/nvidia/modprobe.d/*.conf /etc/modprobe.d/